Subject: Re: [PATCH] Use IRQ and senses from OF-tree on 8641hpcn.

From: Jon Loeliger <[email-masked]>
Date: Fri, 23 Jun 2006 09:06:09 -0500

So, like, the other day Benjamin Herrenschmidt mumbled:
> 
> > +	shift = __ilog2((~interrupt_mask[0] + 1) & 0xffff);
> 
> Nice hack :)

We aim to please. :-)

> But not something mergeable as it strictly relies on the specific format
> of the interrupt map on that platform :)

Hrm.

> I have a generic parser on the way, it's hot and will be released for
> public consumption later today or this week-end along with the rest of
> the irq patches.

Chomp, chomp.

> I'll need you guys to help porting the few embedded boards already in
> arch/powerpc.

Of course.  We've also lined Andy Fleming up to help
with some 85xx parts, and Kim Phillips to help with
some 83xx parts.  (Hi guys!)

BTW and for (your) references, I will follow up with
the complete MPC8641 HPCN DTS file here!

Thanks,
jdl